﻿$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    fileType       = 'msi'
    url            = 'https://downloads.iridiumbrowser.de/windows/2018.11.70-1/iridiumbrowser-2018.11.70.1-x86.msi'
    url64bit       = 'https://downloads.iridiumbrowser.de/windows/2018.11.70-1/iridiumbrowser-2018.11.70.1-x64.msi'
    checksum       = 'b481d2e58964f12394cf86c6495535dd0cbcec01d08af36bec9c132f9d757443'
    checksum64     = 'f9b81b83da9a3b98f7eb820bc6418e88a04d09949f3e59d79efd398961aa7c46'
    checksumType   = 'sha256'
    checksumType64 = 'sha256'
    silentArgs     = "/qn /norestart"
}

Install-ChocolateyPackage @packageArgs

Get-ChildItem $toolsDir\*.msi | ForEach-Object { Remove-Item $_ -ea 0; if (Test-Path $_) { Set-Content "$_.ignore" } }
